/* Shelf slider styles */
#shelfSlider {
    position: relative;
    padding-bottom: 50px;
}

#shelfSlider .MS-content {
    margin: 0px 6%;
    max-width: 1200px;
    overflow: hidden;
    white-space: nowrap;
}

#shelfSlider .MS-content .item {
    display: inline-block;
    height: 100%;
    overflow: hidden;
    position: relative;
    vertical-align: top;
    border-right: none;
    width: 20%;
    min-width: 320px;
}

#shelfSlider .MS-content .item p {
    font-size: 30px;
    text-align: center;
    line-height: 0;
    vertical-align: middle;
    margin: 0;
    padding: 0px 0;
}

#shelfSlider .MS-controls button {
    position: absolute;
    border: none;
    background: transparent;
    font-size: 30px;
    outline: 0;
    top: 0px;
}

#shelfSlider .MS-controls button:hover {
    cursor: pointer;
}

#shelfSlider .MS-controls .MS-left {
    left: 10px;
}

#shelfSlider .MS-controls .MS-right {
    right: 10px;
}

#shelfSlider {
    border-color: transparent;
}

@media (max-width: 767px) {
    #shelfSlider .MS-content {
        margin: 0px 12%;
        max-width: 75%;
    }  

    #shelfSlider .MS-content .item {
        width: 50%;
    }  
}

@media (max-width: 992px) {
    #shelfSlider .MS-controls .MS-left {
        left: -2px;
    }
    #shelfSlider .MS-controls .MS-right {
        right: -2px;
    }  
    #shelfSlider .MS-content .item {
        width: 33.3333%;
    }  
}

@media (max-width: 1200px) {
    #shelfSlider .MS-content .item {
        width: 25%;
    }
}
    



/* Shelf Menu */

.circle-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px; 
    height: 50px; 
    background-color: white;
    border: 2px solid #ccc; 
    border-radius: 50%; 
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15); 
    cursor: pointer; 
    
}


.circle-btn i {
    color: #0F9C61;
    font-size: 22px; 
    font-weight: bold;

}

.nav-link {
    display: inline-block;
    margin: 5px;
    padding: 6px 90px;
    border: 1px solid #C5C5C5; 
    border-radius: 20px; 
    text-align: center;
    color: #6F6F6E; 
    background-color: #fff; 
    text-decoration: none; 
    font-size: 18px;
    transition: all 0.3s ease; 
    width:300px;
}  


.nav-link:hover, .nav-link:focus {
    color: #fff; 
    background-color: #0F9C61; 
    text-decoration: none; 
}

.nav-link.active-category {
    color: #fff; 
    background-color: #0F9C61; 
}            


/* Banner */
.banner {
    display: flex; /* Engedélyezi a flexbox modelt */
    max-width: 1405px; /* Maximális szélesség a bannernek */
    margin: 0 auto; /* Középre helyezi a bannert */
    margin-bottom: 50px; /* Alsó margó */
    position: relative; /* Relatív pozíció a belső abszolút pozícionáláshoz */
}

.banner-left {
    width: 100%;
}

.banner-right {
    flex-grow: 1; /* A maradék helyet elfoglalja */
    height: 552px; /* Teljes magasság */
    max-width: 342px; /* Maximális szélesség */
    margin: 20px; /* Margó a bal oldali tartalomtól */
    position: relative; /* Relatív pozíció a belső abszolút pozícionáláshoz */
}

.banner-right-yellow {
    height: 100%; /* Teljes magasság */
    position: relative; /* Relatív pozíció a belső abszolút pozícionáláshoz */
    z-index: 1; /* Háttérben tartás */
}

.banner-right-yellow-content {
    background-color: #FFDB6D; /* Sárga háttér */
    padding: 20px; /* Padding a tartalom körül */
    border-radius: 20px; /* Lekerekített sarkok */
    height: 100%; /* Teljes magasság */
    display: flex; /* Flexbox engedélyezése */
    flex-direction: column; /* Flex irány oszlop */
    align-items: center; /* Középre igazítás */
    justify-content: space-between; /* Elem közötti térköz */
    position: relative; /* Relatív pozíció a belső abszolút pozícionáláshoz */
}

.banner-right-yellow-content-top {
    display: flex; /* Flexbox engedélyezése */
    flex-direction: column; /* Flex irány oszlop */
    align-items: left; /* Középre igazítás */
    width: 100%; /* Teljes szélesség */
}

.banner-right-yellow-content-top h4 {
    color:#013A33;
    margin-bottom:40px
    }

.banner-right-yellow-content-white-content {
    background-color: #fff; /* Fehér háttér */
    border-radius: 16px; /* Lekerekített sarkok */
    padding: 5px 10px; /* Padding a tartalom körül */
    color: #0F9C61; /* Szöveg színe */
    font-weight: 400; /* Szöveg súlya */
    font-size: 12px; /* Szöveg mérete */
    display: inline-flex; /* Inline flexbox */
    align-items: center; /* Középre igazítás vertikálisan */
    justify-content: center; /* Középre igazítás horizontálisan */
    margin-bottom: 30px; /* Alsó margó */
    max-width: 220px; /* Maximális szélesség */
    }

.banner-right-yellow-content-white-content span {
    margin-right: 5px; /* Szóköz a félkövér és normál szöveg között */
    font-weight: 800; /* Szöveg súlya */
}

.banner-right-yellow-content-top h4 {
    color:#013A33;
    margin-bottom:24px;
    font-weight:400;
    font-size: 32px;
}  

.banner-right-yellow-content-top h4 span {
    font-weight:800;
}    


.banner-right-yellow-content-header {
    display: flex; /* Flexbox engedélyezése a fejléc tartalmához */
    align-items: center; /* Középre igazítás vertikálisan */
    justify-content: flex-start; /* Széthúzás a két oldalra */
    width: 100%; /* Teljes szélesség */
}

.dropdown-container {
    display: flex;
    align-items: center;
    margin-left: 10px; /* Hozzáadunk némi margót bal oldalon */
}

.dropdown-icon {
    cursor: pointer;
    font-size: 24px; /* Nagyobb méret a nyílnak */
}

.banner-right-yellow-content-services-list {
    list-style: none; /* Lista stílus eltávolítása */
    padding: 0; /* Padding eltávolítása */
    margin: 0; /* Margin eltávolítása */
    display: flex; /* Flexbox engedélyezése a listához */
    flex-direction: column; /* Oszlop irányú flexbox */
    gap: 10px; /* Térköz az elemek között */
    margin-bottom: 20px; /* Alsó margó */
    position: relative; /* Relatív pozíció a belső abszolút pozícionáláshoz */
    z-index: 2; /* Előre hozás */
}

.banner-right-yellow-content-services-list li {
    display: flex; /* Flexbox engedélyezése a lista elemekhez */
    align-items: center; /* Középre igazítás vertikálisan */
    font-size: 18px; /* Szöveg mérete */
    color: #013A33; /* Szöveg színe */
    padding-left: 10px; /* Bal oldali padding */
}

.banner-right-yellow-content-services-list img {
    margin-right: 10px; /* Térköz az ikon és a szöveg között */
    width: 28px; /* Ikon szélessége */
    height: 28px; /* Ikon magassága */
}

.pharmacist-image {
    position: absolute; /* Abszolút pozícionálás */
    bottom: 0; /* Az aljára igazítás */
    right: -20px; /* Jobb oldalra igazítás, hogy kissé kilógjon */
    max-width: 180px; /* Kép maximális szélessége */
    height: auto; /* Automatikus magasság */
    z-index: 1; /* Kép a sárga rész előtt, de a szöveg és a gomb mögött */
    transition: max-height 0.3s ease; /* Átmenet a magasság változására */
}

.appointment-button-container {
    display: flex; /* Flexbox engedélyezése */
    justify-content: center; /* Horizontális középre igazítás */
    width: 100%; /* Teljes szélesség */
    margin-top: auto; /* Automatikus felső margó, hogy a gomb alulra kerüljön */
    z-index: 2; /* Gomb előre hozása */
}

.appointment-button {
    background-color: #0F9C61; /* Zöld háttér */
    color: #fff; /* Fehér szöveg */
    padding: 15px 30px; /* Padding a gomb körül */
    border-radius: 30px; /* Lekerekített sarkok */
    text-align: center; /* Szöveg középre igazítása */
    text-decoration: none; /* Link dekoráció eltávolítása */
    font-size: 18px; /* Szöveg mérete */
    font-weight: 700; /* Félkövér szöveg */
    display: inline-block; /* Inline blokk szintű elem */
}

.appointment-button:hover {
    background-color: #0c7b49; /* Sötétebb zöld háttér hover esetén */
}


@media (min-width: 1101px) {
    .dropdown-container {
        display: none; /* Elrejti a nyilat asztali nézetben */
    }
}

@media (max-width: 1300px) {
    .banner {
        flex-direction: column; /* Mobil nézetben a flex iránya oszlopra változik */
    }

    .banner-left {
        width: 100%; /* Mobil nézetben a bal oldali div teljes szélességet elfoglalja */
        order: 1; /* Először jelenik meg */
    }

    .banner-right {
        order: 2; /* Másodiknak jelenik meg */
        max-width: 100%; /* Maximális szélesség */
        height: auto; /* Automatikus magasság */
    }

    .banner-right-yellow-content-services-list {
        display: none; /* Mobil nézetben alapértelmezetten elrejtjük a listaelemeket */
    }

    .banner-right-yellow-content-top.active .banner-right-yellow-content-services-list {
        display: flex; /* Megjelenítjük a listaelemeket, ha az active osztály hozzá van adva */
    }

    .banner-right-yellow-content {
        transition: max-height 0.3s ease; /* Animáció az átmenetre */
        max-height: 217px; /* Alapértelmezett magasság, amikor a lista el van rejtve */
    }

    .banner-right-yellow-content-top.active .banner-right-yellow-content {
        max-height: 500px; /* Nagyobb magasság, amikor a lista látható */
    }

    .banner-right-yellow-content-top h4 {
        color:#013A33;
        margin-bottom:20px;
        font-weight:800;
        font-size: 24px;
        
    }  

    .banner-right-yellow-content-top h4 span {
        font-weight:400;
        display: block;
    }    

    .banner-right-yellow-content-services-list {
        gap: 0px; /* Térköz az elemek között */
    }

    .banner-right-yellow-content-white-content {
        margin-bottom: 10px; /* Kisebb margó a lista és a szöveg között */
    }

    .pharmacist-image {
        max-height: 240px; /* Kép magasságának csökkentése, amikor a lista el van rejtve */
        padding-right:5px;
    }  

    .appointment-button-container {
        padding-bottom: 10px; /* Kisebb padding a gomb alján */
        width: 276px; /* Gomb szélességének beállítása */
    }

    .appointment-button {
        /*padding-bottom: 10px; /* Kisebb padding a gomb alján */
        width: 276px;
    }

    .dropdown-icon {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 10px;
    vertical-align: middle;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #013A33; /* A nyíl színe */
    }

}




/* Care section */

.care {
    margin: 0 auto;
    max-width: 1215px;
    width: 100%;
    padding-top: 100px;
    display: flex;
    justify-content: center; /* Középre igazítja a care-header-t */
}

.care-header {
    display: flex;
    justify-content: space-between; /* Széthúzza a két tartalmi elemet */
    align-items: flex-start; /* Az elemeket a tetejéhez igazítja */
    width: 100%;
}

.care-header-left-content {
    flex: 1; /* Elég helyet biztosít a bal oldali tartalomnak */
}

.care-header-right-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-end; /* Az elemeket az aljára igazítja */
    align-items: flex-end; /* Az elemeket jobbra igazítja */
    height: 100%; /* Biztosítja, hogy a div teljes magasságát kitöltse */
}

@media (max-width: 768px) {
    .care-header-right-content {
        display: none; /* Elrejti ezt a div-et 768px alatti képernyőméret esetén */
    }
}

.care-body {
    display: flex;
    flex-wrap: wrap; /* Engedélyezi, hogy a tartalmak új sorba kerüljenek, ha szükséges */
    justify-content: space-between; /* Egyenletes távolságot tart a div-ek között */
    max-width: 1215px;
    margin: 0 auto;
    padding-top: 50px;
}

.care-item {
    width: 32%; /* Szélesség beállítása, hogy 3 elem férjen egy sorba */
    padding: 10px; /* Kicsit térköz a szélektől */
    box-sizing: border-box; /* A padding és border is beleszámít a szélességbe */
    background-color: #F5F5F5;
    /* A következő három tulajdonság a lekerekített sarkokat állítja be */
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    margin-bottom: 20px;
}

.care-item h6 {
    display: flex;
    justify-content: space-between; /* Igazítja a tartalmat szét a két oldalon */
    align-items: center; /* Középre igazítja őket függőlegesen */
}

.care-item h6 .care-item-text {
    flex: 1; /* Elég helyet biztosít a szövegnek */
    text-align: left; /* Balra igazítja a szöveget */
}

.care-item h6 .care-item-image {
    /* Alapértelmezésben a kép jobb oldalon lesz */
    flex-shrink: 0; /* Megakadályozza, hogy a kép mérete változzon */
}

/* Rejtjük a care-button-mobil elemet az asztali és tablet nézetekben */
.care-button-mobil {
    display: none;
}

/* Médialekérdezések a mobil nézet számára */
@media (max-width: 768px) {
    .care-button-mobil {
        display: block; /* Csak a mobil nézetben jelenik meg */
        margin: 20px auto; /* Középre igazítja és ad neki egy kis margót */
        text-align: center; /* A gomb szövegét középre igazítja */
    }  
    .care-body {
        justify-content: center; /* Középre igazítja a div-eket, ha kevesebb elem van */
    }

    .care-item {
        width: 48%; /* 50% helyett kicsit kevesebb, hogy hely maradjon a padding miatt */
        display: none; /* Alapértelmezetten minden elem el van rejtve */
    }

    .care-item:first-child, .care-item:nth-child(2) {
        display: block; /* Csak az első két elem jelenik meg */
    }
}



.solution-button {
    background-color: #FFDB6D; /* Világos sárga háttérszín */
    border: none; /* Nincs keret */
    color: black; /* Betűszín */
    padding: 10px 20px; /* Belső térköz */
    text-align: center; /* Szöveg középre igazítása */
    text-decoration: none; /* Nincs aláhúzás */
    display: flex; /* Flexbox használata */
    align-items: center; /* Vertikális középre igazítás */
    justify-content: center; /* Horizontális középre igazítás */
    font-size: 16px; /* Betűméret */
    cursor: pointer; /* Mutató változik, ha fölé viszik az egeret */
    border-radius: 25px; /* Lekerekített sarkok */
    font-family: 'Nunito Sans', Arial, sans-serif; /* Betűtípus */
    font-weight: 800; /* Extrabold súly */
    line-height: 21.82px; /* Sortávolság */
    width: 268px; /* Szélesség */
    height: 54px; /* Magasság */
    gap: 10px; /* Hézag a kép és szöveg között */
}

.solution-button-icon {
    height: 16px; /* Ikonnak a magassága */
    width: auto; /* Arányos szélesség */
}



/* A searchCategory-header stílusa, amely az egész szekciót tartalmazza */
.searchCategory-header {
    display: flex; /* Flexbox használata a tartalmak igazításához */
    justify-content: center; /* Horizontálisan középre igazítás */
    align-items: center; /* Függőlegesen középre igazítás */
    max-width: 1215px; /* Maximális szélesség */
    margin: 0 auto; /* Automatikus margó a középre igazításhoz */
    padding: 20px 0; /* Padding a felső és alsó részen */
    padding-top:50px;
}

/* Bal oldali tartalom stílusa */
.searchCategory-header-left-content {
    flex: 1; /* Flex növelése, hogy kitöltse a rendelkezésre álló helyet */
    text-align: left; /* Szöveg balra igazítása */
}

.searchCategory-header-left-content h1 {
    margin: 0; /* Eltávolítja a fejléc alapértelmezett margóját */
    font-size: 52px; /* Fejléc betűméretének beállítása */
}



/* A searchCategory-body alap stílusai */
.searchCategory-body {
    display: flex; /* Flexbox használata az elemek igazításához */
    flex-wrap: wrap; /* Több sorba törik az elemeket, ha nem férnek el */
    justify-content: space-between; /* Elemek között egyenlő távolság tartása */
    max-width: 1215px; /* Maximális szélesség */
    margin: 0 auto; /* Középre igazítás automatikus margóval */
    padding: 20px 0; /* Felső és alsó padding */
}

/* Minden egyes div stílusa a searchCategory-body-n belül */
.searchCategory-body div {
    flex: 1 1 19%; /* Flex növekedés és zsugorodás, illetve alap szélesség */
    height: 246px; /* Magasság beállítása */
    text-align: center; /* Szöveg középre igazítása */
}

.searchCategory-button-mobil {
    display: none; /* Alapértelmezetten elrejtjük */
    text-align: center; /* Szöveg középre igazítása */
    margin: 20px 0; /* Felső és alsó margó beállítása */
}

.searchCategory-body-mobil {
        display: none;
}

/* Médialekérdezések mobil nézet számára */
@media (max-width: 768px) {
    .searchCategory-body {
        display: none;
    }
    
    .searchCategory-body div {
        flex-basis: 48%; /* A div elemek szélessége mobil nézetben */
    }

    .searchCategory-body-mobil {
        display: flex; /* Flexbox használata a sorba rendezéshez */
        flex-wrap: wrap; /* Több sor használata, ha nem férnek el egymás mellett */
        justify-content: center; /* Középre igazítás */
    }

    .category-item {
        flex: 0 0 170px; /* Az elemek fix szélessége */
        margin: 10px; /* Közti távolság */
        display: flex; /* Flexbox használata a tartalom igazításához */
        justify-content: center; /* Horizontális középre igazítás */
        align-items: center; /* Vertikális középre igazítás */
        text-align: center; /* Szöveg középre igazítása */
    }

    .searchCategory-header h1 {
        font-size: 30px; 
        color: #013A33;
        padding-left: 20px;
    }

    .searchCategory-header-right-content {
        display: none; /* Elrejtjük a mobil nézetben */
    }   
    
    .searchCategory-button-mobil {
        display: flex; /* Flexbox használata a középre igazításhoz */
        justify-content: center; /* Horizontális középre igazítás */
        align-items: center; /* Vertikális középre igazítás */
    }
}




/*seasonal-offers-header*/

/* A searchCategory-header stílusa, amely az egész szekciót tartalmazza */
.seasonal-offers-header {
    display: flex; /* Flexbox használata a tartalmak igazításához */
    justify-content: center; /* Horizontálisan középre igazítás */
    align-items: center; /* Függőlegesen középre igazítás */
    max-width: 1215px; /* Maximális szélesség */
    margin: 0 auto; /* Automatikus margó a középre igazításhoz */
    padding: 20px 0; /* Padding a felső és alsó részen */
    padding-top:50px;
}

/* Bal oldali tartalom stílusa */
.seasonal-offers-header-left-content {
    flex: 1; /* Flex növelése, hogy kitöltse a rendelkezésre álló helyet */
    text-align: left; /* Szöveg balra igazítása */
}

.seasonal-offers-header-left-content h1 {
    margin: 0; /* Eltávolítja a fejléc alapértelmezett margóját */
    font-size: 52px; /* Fejléc betűméretének beállítása */
}


/*Seasonal slider styles*/

#seasonalSlider {
    position: relative;
    max-width: 1215px;
    margin: 0 auto;
}

#seasonalSlider .MS-content {
    margin: 0px 0%;
    max-width: 1215px;
    /*padding: 50px 0;*/
    overflow: hidden;
    white-space: nowrap;
}

#seasonalSlider .MS-content .item {
    display: inline-block;
    overflow: hidden;
    position: relative;
    vertical-align: top;
    border-right: none;
    width: 20%;
    min-width: 385px;
}


#seasonalSlider .MS-content .item p {
    font-size: 30px;
    text-align: center;
    line-height: 0;
    vertical-align: middle;
    margin: 0;
    padding: 0px 0;
}
#seasonalSlider .MS-controls button {
    position: absolute;
    border: none;
    background: transparent;
    font-size: 30px;
    outline: 0;
    top: 250px;
}

#seasonalSlider .MS-controls button:hover {
    cursor: pointer;
}
#seasonalSlider .MS-controls .MS-left {
    left: 10px;
}

.seasonal-item-mobil {
    display: none;
}

#seasonalSlider .MS-controls .MS-right {
    right: 10px;
}

@media (max-width: 1215px) {
    #seasonalSlider .MS-content .item {
        width: 25%;
    }
}


@media (max-width: 992px) {
    #seasonalSlider .MS-content .item {
        width: 33.3333%;
    }  
    #seasonalSlider .MS-controls .MS-left {
        left: -2px;
    }
}

@media (max-width: 992px) {
    #seasonalSlider .MS-controls .MS-right {
        right: -2px;
    }
}

@media (max-width: 767px) {
    #seasonalSlider .MS-content {
    margin: 0px 12%;
    max-width: 75%;
    }
    #seasonalSlider {
    border-color: transparent;
    }  

    #seasonalSlider .MS-content .item {
    width: 50%;
    }  
    .seasonal-item-mobil {
        display: block;
        margin: 0 auto;
        max-width: 365px;
        width: 100%;
        padding: 10px;
    }
    #seasonalSlider {
        display: none;
    }
    #seasonalSlider .MS-content{
        display: none;
    }
    #seasonalSlider .MS-controls{
        display: none;
    }

    .seasonal-offers-header-right-content {
    display: none;
    
    }
    .seasonal-offers-header-left-content H1 {
    font-size: 30px;
    color: #013A33;
    padding-left:20px;
    }    
    
}


.nav-product {
    display: flex;          /* Flexbox elrendezés használata */
    flex-direction: column; /* Elemek függőleges rendezése */
    align-items: center;    /* Középre igazítás vízszintesen */
    margin: 5px;
    padding:15px;
    border: 1px solid #C5C5C5;
    border-radius: 20px;
    text-align: center;
    color: #6F6F6E;
    background-color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: all 0.3s ease;
    height: 500px;
    max-width: 365px;
    width: 100%;
    white-space: normal;
}

.nav-product:hover, .nav-link:focus {
    text-decoration: none; 
}
.nav-product-image {
    padding-top: 10px;
}

@media (max-width: 768px) {
    .nav-product-image img {
        max-width: 300px;
    }
}

.nav-product-text {
    font-family: 'Nunito Sans', sans-serif; /* Betűtípus */
    font-weight: 800;                       /* Extrabold, azaz súly 800 */
    font-size: 16px;                        /* Betűméret */
    line-height: 21.82px;                   /* Sor magasság */
    text-align: center;                     /* Szöveg középre igazítása */
    padding-top: 10px;                      /* Felső padding */
    color:#013A33;
    height: 60px;
}


.nav-product-price {
    display: flex;          /* Flexbox elrendezés használata */
    justify-content: space-between; /* Elemek elosztása a konténer teljes szélességén */
    align-items: flex-end;  /* Elemek alsó igazítása */
    width: 100%;            /* Szélesség beállítása a szülő konténer teljes szélességére */
    padding: 10px 15px;     /* Padding az alsó és oldalsó helyek biztosítására */
    height: 66px;
}

.nav-product-price-old {
    font-family: 'Nunito Sans', sans-serif; /* Betűtípus */
    font-weight: 400;                       /* Súly: normál (400) */
    font-size: 16px;                        /* Betűméret */
    line-height: 24px;                      /* Sor magasság */
    letter-spacing: 0.2px;                  /* Betűk közötti távolság */
    text-align: left;                       /* Balra igazítás */
    flex-grow: 1;                           /* Rugalmas növekedés, kitölti a rendelkezésre álló teret */
    color:#013A33;
    text-decoration: line-through;
}


.nav-product-price-new {
    font-family: 'Nunito Sans', sans-serif; /* Betűtípus */
    font-weight: 800;                       /* Extrabold, azaz súly 800 */
    font-size: 24px;                        /* Betűméret */
    line-height: 32.74px;                   /* Sor magasság */
    text-align: right;                      /* Jobbra igazítás */
    flex-grow: 1;                           /* Rugalmas növekedés, kitölti a rendelkezésre álló teret */
    color: #0F9C61;
}

.nav-product-cart {
    display: flex;
    align-items: center;
    padding: 10px; /* Padding beállítása */
}

.nav-product-cart-quantity input[type="number"] {
    width: 67px; 
    height: 50px;
    margin-right: 10px; /* Jobb oldali margó */
    text-align: center; /* Szöveg középre igazítása */
    border: 1px solid #ccc; /* Szegély beállítása */
    border-radius: 18px; /* Lekerekített sarkok */
}

.cart-button {
    display: flex;
    align-items: center;
    justify-content: center; /* Gyermek elemek középre igazítása vízszintesen */
    background-color: #0F9C61; /* Gomb háttérszíne */
    color: white; /* Szöveg színe */
    border: none; /* Szegély eltávolítása */
    border-radius: 30px; /* Lekerekített sarkok */
    padding: 10px 20px; /* Padding beállítása */
    font-size: 16px; /* Betűméret */
    font-family: 'Nunito Sans', sans-serif; /* Betűtípus */
    font-weight: 800; /* Betűvastagság: extrabold */
    line-height: 21.82px; /* Sor magasság */
    cursor: pointer; /* Kurzor pointerre állítása */
    outline: none; /* Outline eltávolítása */
    width: 242px; /* Szélesség */
    height: 50px; /* Magasság */
    text-align: center; /* Szöveg középre igazítása */
}

#cart-button:hover {
    background-color: #32CE8D; /* Hover háttérszín */
}

.cart-button img {
    margin-right: 5px; /* Kép és szöveg közötti margó */
    margin-bottom: 5px; /* Kép és szöveg közötti margó */
}

.cart-button.in-cart {
    background-color: #F7D058;
}


/* gyógyszerész segítség */
.pharmacisthelp {
    display: flex;  /* Flexbox elrendezés beállítása */
    justify-content: center;  /* Tartalmak vízszintes középre igazítása */
    align-items: center;  /* Tartalmak függőleges középre igazítása */
    background-image: url("https://szentborbalagyogyszertar.hu/images/index/pharmacisthelp_pharmacy.jpg");
    background-size: cover;
    background-position: bottom 50px;
    background-repeat: no-repeat;
    height: 500px;
}

.pharmacisthelp-container {
    display: flex; /* Flexbox beállítás a belső elemekhez */
    max-width: 1265px; /* Max szélesség beállítása */
    width: 100%;
    height: 100%;
}

.pharmacisthelp-left {
    flex: 1;  /* Mindkét oldal egyenlő szélességű lesz */
    display: flex;
    flex-direction: column;  /* Elemek függőleges rendezése */
    align-items: left;  /* Elemek középre igazítása függőlegesen */
    justify-content: center;
    padding: 20px;  /* Kis térköz a szövegek körül */
}

.pharmacisthelp-right {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center; /* Középre igazítja a tartalmakat vízszintesen */
    justify-content: flex-end; /* Az elemeket az aljára igazítja */
    background-image: url("https://szentborbalagyogyszertar.hu/images/index/pharmacisthelpspeople.png");
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: 580px;
    height: 500px;
}

.pharmacisthelp-mobil {
        display: none;  /* Elrejti a képet */
}


@media (max-width: 768px) {
    .pharmacisthelp {
        display: none;  /* Elrejti a képet */
    }
    .pharmacisthelp-mobil {
        display: block;  /* Megjeleníti a mobil képet */
        justify-content: center;  /* Tartalmak vízszintes középre igazítása */
        align-items: center;  /* Tartalmak függőleges középre igazítása */      
    }

    .pharmacisthelp-mobil-top {
        display: flex; /* Flexbox használata az elemek igazításához */
        justify-content: center;  /* Elemek középre igazítása vízszintesen */
        background-image: url("https://szentborbalagyogyszertar.hu/images/index/pharmacisthelp_pharmacy.jpg");
        background-size: cover;
        background-position: bottom 50px;
        background-repeat: no-repeat;  
        /* Ha szükséges, adj hozzá magasságot */
        /* height: 500px; */
    }

    .pharmacisthelp-mobil-bottom {
        align-items: center; /* Középre igazítja a tartalmakat vízszintesen */
        justify-content: flex-end; /* Az elemeket az aljára igazítja */
        padding: 20px;  /* Kis térköz a szövegek körül */
    }    

    .rounded-buttons-container-mobil {
        display: flex; /* Flexbox használata az elemek igazításához */
        flex-direction: column; /* Elemek egymás alá helyezése */
        justify-content: center; /* Tartalmak vízszintes középre igazítása */
        align-items: center; /* Tartalmak függőleges középre igazítása */ 
        gap: 10px; /* Térköz a gombok között */
        padding: 20px; /* Térköz a konténer körül */
    }

    .button-green-mobil,
    .button-yellow-mobil {
        background-color: #0F9C61; /* Zöld háttér */
        color: white; /* Fehér szöveg */
        border: none; /* Nincs keret */
        padding: 10px 10px; /* Padding a gomb méretéhez */
        border-radius: 30px; /* Lekerekített sarkok */
        font-weight: bold; /* Félkövér szöveg */
        cursor: pointer; /* Mutató ikon a jobb felhasználói élményért */
        width: 100%; /* Teljes szélesség */
        max-width: 339px; /* Maximális szélesség */
    }

    .button-yellow-mobil {
        background-color: #FFDB6D; /* Sárga háttér */
        color: black; /* Fekete szöveg */
    }
}



.rounded-buttons-container {
    background: white; /* Fehér háttér */
    border-radius: 30px; /* Lekerekített sarkok */
    padding: 20px; /* Kis térköz a gombok körül */
    margin-bottom: 20px; /* Alsó margó a következő elemhez */
    width: 100%; /* Szélesség korlátozása 400 pixelre */
    max-width: 600px; /* Biztosítja, hogy ne legyen szélesebb, mint a szülő */
    box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Enyhe árnyék hozzáadása a kidomborodó hatás érdekében */
    display: flex; /* Flexbox a gombok elrendezéséhez */
    justify-content: space-between; /* Gombok közötti térköz */
    align-items: center; /* Gombok függőleges középre igazítása */
}

.button-green {
    background-color: #0F9C61; /* Zöld háttér */
    color: white; /* Fehér szöveg */
    border: none; /* Nincs keret */
    padding: 20px 20px; /* Padding a gomb méretéhez */
    border-radius: 30px; /* Lekerekített sarkok */
    font-weight: bold; /* Félkövér szöveg */
    cursor: pointer; /* Mutató ikon a jobb felhasználói élményért */
    width: 100%; /* Teljes szélesség */
    max-width: 252px; /* Maximális szélesség */
}

.button-yellow {
    background-color: #FFDB6D; /* Sárga háttér */
    color: black; /* Fekete szöveg */
    border: none; /* Nincs keret */
    padding: 20px 20px; /* Padding a gomb méretéhez */
    border-radius: 30px; /* Lekerekített sarkok */
    font-weight: bold; /* Félkövér szöveg */
    cursor: pointer; /* Mutató ikon a jobb felhasználói élményért */
    width: 100%; /* Teljes szélesség */
    max-width: 252px; /* Maximális szélesség */    
}


/*People Choose slider styles*/


/*people-choose-header*/


.people-choose-header {
    display: flex; /* Flexbox használata a tartalmak igazításához */
    justify-content: center; /* Horizontálisan középre igazítás */
    align-items: center; /* Függőlegesen középre igazítás */
    max-width: 1215px; /* Maximális szélesség */
    margin: 0 auto; /* Automatikus margó a középre igazításhoz */
    padding: 20px 0; /* Padding a felső és alsó részen */
    padding-top:50px;
}


/* Bal oldali tartalom stílusa */
.people-choose-header-left-content {
    flex: 1; /* Flex növelése, hogy kitöltse a rendelkezésre álló helyet */
    text-align: left; /* Szöveg balra igazítása */
}

.people-choose-header-left-content h1 {
    margin: 0; /* Eltávolítja a fejléc alapértelmezett margóját */
    font-size: 52px; /* Fejléc betűméretének beállítása */
}

#peopleChooseSlider {
    position: relative;
    max-width: 1215px;
    margin: 0 auto;
}

#peopleChooseSlider .MS-content {
    margin: 0px 0%;
    max-width: 1215px;
    /*padding: 50px 0;*/
    overflow: hidden;
    white-space: nowrap;
}

#peopleChooseSlider .MS-content .item {
    padding-top: 20px;
    display: inline-block;
    overflow: hidden;
    position: relative;
    vertical-align: top;
    border-right: none;
    width: 20%;
    min-width: 385px;
}


#peopleChooseSlider .MS-content .item p {
    font-size: 30px;
    text-align: center;
    line-height: 0;
    vertical-align: middle;
    margin: 0;
    padding: 0px 0;
}
#peopleChooseSlider .MS-controls button {
    position: absolute;
    border: none;
    background: transparent;
    font-size: 30px;
    outline: 0;
    top: 250px;
}

#peopleChooseSlider .MS-controls button:hover {
    cursor: pointer;
}


#peopleChooseSlider .MS-controls .MS-right {
    right: 10px; 
}


.people-choose-mobil {
    display: none;
}

@media (max-width: 767px) {
    #peopleChooseSlider  {
        display: none;
    }
    .people-choose-header-right-content {
        display: none;
        
    }
    .people-choose-header-left-content H1 {
        font-size: 30px;
        color: #013A33;
        padding-left:20px;    
    }

    .people-choose-mobil {
        display: block;
        margin: 0 auto;
        max-width: 365px;
        width: 100%;
        padding: 10px;
    }
}


/* Shelfs */
.shelfContainer {
    margin: 0 auto;
    max-width: 1215px;
    width: 100%;
}

.shelfContainerHeader {
    padding-bottom: 50px;
}

.shelfs {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.shelf {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    padding-left: 25px;
    padding-right: 25px;
    position: relative;
    margin-bottom: 24px;
    height: 130px;
    width: 100%;
}

.shelf::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 24px;
    background: url('https://szentborbalagyogyszertar.hu/images/index/shelf.svg') no-repeat center center;
    background-size: cover;
}

.shelf-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 120px;
    position: relative;
    padding-bottom: 24px;
}

.price-label,
.price-label-discount {
    font-family: 'Nunito Sans', sans-serif;
    font-size: 15px;
    font-weight: 800;
    letter-spacing: 0.2px;
    position: absolute;
    bottom: -27px;
    background-color: white;
    border: 1px solid #C5C5C5;
    border-radius: 3px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    width: 100px;
    height: 40px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.price-label .currency,
.price-label-discount .currency {
    font-family: 'Nunito Sans', sans-serif;
    font-size: 12px;
    font-weight: 800;
    line-height: 40px;
    letter-spacing: 0.2px;
    padding-left: 3px;
}

.price-label-discount {
    background-color: #FFDB6D;
    flex-direction: column;
    justify-content: center;
    height: 40px; /* Fix magasság beállítása */
    padding: 0; /* Térközök eltávolítása */
}

.price-label-discount .new-price {
    font-size: 15px;
    color: #013A33;
    height: 19px;
}

.price-label-discount .original-price {
    text-decoration: line-through;
    font-size: 12px;
    color: #013A33;
    margin: 0; /* Remove margin for better fit */
    padding: 0; /* Remove padding for better spacing */
}



@media (max-width: 1150px) {
    .shelf-item:nth-child(n+9) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 20px;
    }  

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    }  
}

@media (max-width: 1000px) {
    .shelf-item:nth-child(n+8) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 20px;
    }    

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    }  
}

@media (max-width: 890px) {
    .shelf-item:nth-child(n+7) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 20px;
    }    

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    justify-content: center;
    }  
}

@media (max-width: 780px) {
    .shelf-item:nth-child(n+6) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 20px;
    }    

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    justify-content: center;
    }  
}

@media (max-width: 710px) {
    .shelf-item:nth-child(n+5) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 20px;
    }  

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    justify-content: center;
    }  
}

@media (max-width: 650px) {
    .shelf-item:nth-child(n+4) {
        display: none;
    }

    .shelfContainerHeader {
        padding-bottom: 10px;
    }    

    .shelf {
    padding-left: 5px;
    padding-right: 5px;
    justify-content: center;
    }  
}

/* mobil sticky */
.navbar-mobil-main {
    display: none; /* Alapértelmezettként rejtett */
}

@media (max-width: 1200px) {
    .navbar-mobil-main {
        display: flex; /* Megjelenítés mobil eszközökön */
        justify-content: space-around; /* Egyenlő távolságra helyezi az elemeket */
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: #fff; /* Hátteret ad a navigációs sávnak */
        padding: 10px 0;
        box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1); /* Árnyék a sáv fölé */
        z-index: 1000; /* Biztosítja, hogy a navigációs sáv legfelül legyen */
    }

    .navbar-mobil-item {
        flex: 1;
        text-align: center; /* Középre igazítja az elemeket */
    }

    .navbar-mobil-item a {
        display: inline-block;
        width: 100%;
    }
}              


/* Modális ablak stílusok */
.modal-dialog {
    max-width: 996px; 
    width: 95%; 
    margin: auto; 
    display: flex;
    align-items: center; 
    min-height: calc(100vh - 1rem); 
}

.modal-content {
    display: flex;
    width: 100%;
    position: relative; /* Pozícionálás a bezáró gombhoz */
    padding: 1rem; /* Szegély, hogy ne tapadjon a széléhez */
}

.modal-header {
    order: 2; /* Jobbra igazítja a header-t */
    border-bottom: none;
    padding: 0px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-grow: 1;
    position: relative;
}

.modal-body {
    order: 1; /* Balra igazítja a body-t */
    flex-grow: 1;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    max-width: 950px; /* Max szélesség beállítása */
    margin-right: auto; /* Biztosítja, hogy a modal-body balra igazítva maradjon */
}

.close {
    position: absolute;
    top: 10px; /* Pozícionálás a fehér terület tetejére */
    right: 10px; /* Pozícionálás a fehér terület jobb szélére */
    z-index: 1;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff; /* Fehér háttér a bezáró gombhoz */
    border-radius: 50%; /* Kör alakú gomb */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Árnyék a gomb körül */
}            